Skip to content
Back to top
View this page

# CommentVersionNote

class chango.concrete.CommentVersionNote(version)

  Bases: `VersionNote`[`CommentChangeNote`, `V`], `Generic`

  A simple version note implementation that works with `CommentChangeNote`.

  render(markup)

    Render the version note to a string by listing all contained change notes separated by a newline. For markup languages Markdown, HTML and reStructuredText, the change notes will be rendered as unordered lists.

    Parameters:

      markup (`str`) – The markup language to use for rendering.

    Raises:

      UnsupportedMarkupError – If the `markup` parameter does not coincide with `chango.concrete.CommentChangeNote.MARKUP`

    Returns:

      The rendered version note.

    Return type:

      `str`